package cn.com.qmth.examcloud.tool.service.export_exam_capture.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Setter
@Getter
public class ExamCaptureInfo implements Serializable {

    private static final long serialVersionUID = -4935465309942094150L;

    @ExcelProperty(value = "exam_record_data_id", index = 0)
    private Long examRecordDataId;

    @ExcelProperty(value = "exam_id", index = 1)
    private Long examId;

    @ExcelProperty(value = "course_id", index = 2)
    private Long courseId;

    @ExcelProperty(value = "course_code", index = 3)
    private String courseCode;

    @ExcelProperty(value = "course_name", index = 4)
    private String courseName;

    @ExcelProperty(value = "student_id", index = 5)
    private String studentId;

    @ExcelProperty(value = "student_code", index = 6)
    private String studentCode;

    @ExcelProperty(value = "identity_number", index = 7)
    private String identityNumber;

    @ExcelProperty(value = "student_name", index = 8)
    private String studentName;

    @ExcelProperty(value = "file_url", index = 9)
    private String fileUrl;

}
